## ibuffer-vc 0.12

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
NEEDED_PACKAGES = package-lint

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(${NEEDED_PACKAGES})) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
        (package-refresh-contents)) \
      (package-install pkg))) \
  )"

all: compile package-lint clean-elc

package-lint:
	${EMACS} -Q --eval ${INIT_PACKAGES} -batch -f package-lint-batch-and-exit ibuffer-vc.el

compile: clean-elc
	${EMACS} -Q --eval ${INIT_PACKAGES} -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

.PHONY:	all compile clean-elc package-lint

## ibuffer-vc 0.10

=== debian/changelog ===
ibuffer-vc (0.10-4) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 15:35:59 -0300

ibuffer-vc (0.10-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:23:33 -0300

ibuffer-vc (0.10-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:56:38 -0300

ibuffer-vc (0.10-1) unstable; urgency=low

  * Initial release (Closes: #841399)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 20 Oct 2016 13:06:25 +0500

=== debian/control ===
Source: ibuffer-vc
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/purcell/ibuffer-vc
Vcs-Browser: https://salsa.debian.org/emacsen-team/ibuffer-vc
Vcs-Git: https://salsa.debian.org/emacsen-team/ibuffer-vc.git

Package: elpa-ibuffer-vc
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24
Built-Using: ${misc:Built-Using}
Description: group ibuffer list by VC project and show VC status
 Emacs' ibuffer-mode is a wonderful replacement for the built-in list-buffer
 command, and allows buffers to be grouped programmatically, e.g. by major mode.
 .
 That's where ibuffer-vc comes in: it lets you:
 .
  * Group your buffers by their parent vc root directory
  * See the VC status of the associated files
  * Sort buffers by their VC status

## ibuffer-vc 0.11

=== debian/changelog ===
ibuffer-vc (0.11-1) unstable; urgency=medium

  [ David Krauser ]
  * d/control: Update maintainer email address

  [ Lev Lamberov ]
  * New upstream version 0.11
  * Refresh patches
  * Migrate to dh 12 without d/compat
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Drop Testsuite: autopkgtest-pkg-elpa (there are no tests)
  * d/control: Clean Depends and Enhances
  * d/control: Drop Built-Using: ${misc:Built-Using}
  * d/copyright: Bump copyright years
  * d/rules: Do not pass --parallel to dh

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 08 Mar 2020 10:34:06 +0500

=== debian/control ===
Source: ibuffer-vc
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/purcell/ibuffer-vc
Vcs-Browser: https://salsa.debian.org/emacsen-team/ibuffer-vc
Vcs-Git: https://salsa.debian.org/emacsen-team/ibuffer-vc.git

Package: elpa-ibuffer-vc
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: group ibuffer list by VC project and show VC status
 Emacs' ibuffer-mode is a wonderful replacement for the built-in list-buffer
 command, and allows buffers to be grouped programmatically, e.g. by major mode.
 .
 That's where ibuffer-vc comes in: it lets you:
 .
  * Group your buffers by their parent vc root directory
  * See the VC status of the associated files
  * Sort buffers by their VC status

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ibuffer-vc-$1.tar.gz%" \
             https://github.com/purcell/ibuffer-vc/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ibuffer-vc 0.12

=== debian/changelog ===
ibuffer-vc (0.12-3) unstable; urgency=medium

  * Team upload.
  * Rebuild to drop elpa-seq dependency.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Mar 2025 12:58:49 +0800

ibuffer-vc (0.12-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:16:45 +0900

ibuffer-vc (0.12-1) unstable; urgency=medium

  * New upstream version 0.12
  * Drop patch to fix upstream version number
  * d/control: Clean Recommends
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright years
  * d/rules: Skip upstream build and install

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 18 Aug 2023 10:11:24 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/purcell/ibuffer-vc
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ibuffer-vc
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: group ibuffer list by VC project and show VC status
  Emacs' ibuffer-mode is a wonderful replacement for the built-in list-buffer
